%global momorel 2
%global date 20040419
%global mainver 0.7

Summary: AVI file support library
Name: avifile
Version: 0.7.40
Release: 0.%{date}.%{momorel}m
License: GPL
Group: Development/Libraries
#%%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/avifile/avifile-%{mainver}-%{version}.tar.gz db90c4bc0a8a8182b1ec084feca86bbb
Source0: avifile-%{version}-cvs%{date}.tar.bz2
Patch0: avifile-0.7.38-nocheckqt.patch
URL: http://avifile.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: qt-devel, SDL-devel

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# ~/rpm/specopt/%{name}.specopt and edit it.

## NOTICE: ENABLING THESE FEATURES MAKES THIS PACKAGE NONFREE!! 
%{?!enable_divx4linux:         %global enable_divx4linux   0}
%if %{enable_divx4linux}
BuildRequires: divx4linux
%endif
%{?!enable_xvid:               %global enable_xvid         0}
%if %{enable_divx4linux}
BuildRequires: xvid
%endif


%description
Libraries and utilities that allows programs to read and write
compressed AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%prep
#%setup -q -n %{name}-%{mainver}-%{version}
%setup -q -n %{name}

%build
./autogen.sh
patch -p1 < %{PATCH0}

%if %{enable_divx4linux}
DIVX4_FLAG="--enable-divx4"
%else
DIVX4_FLAG="--disable-divx4"
%endif
%if %{enable_xvid}
XVID_FLAG="--enable-xvid4"
%else
XVID_FLAG="--disable-xvid4"
%endif

./configure \
  --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} \
  --with-qt \
  --enable-release \
  --enable-lamebin \
  --enable-quiet \
    $DIVX4_FLAG $XVID_FLAG

for i in `find . -type d -name CVS`
do
  rm -rf $i
done
perl -p -i -e 's,/dev/video,/dev/video0,g' */*/*

%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README doc/*
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/avifile*
%{_libdir}/pkgconfig/avifile.pc
%{_includedir}/*
%{_datadir}/aclocal/avifile.m4
%{_datadir}/avifile*
%{_mandir}/man*/*

%changelog
* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.2m)
- revised for xvid-1.0.0rc4 (apiversion 4)

* Thu Apr 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.1m)
- use lateset CVS version (obtained via cvs and not nosrc)
- add avifile-0.7.38-nocheckqt.patch to build aviplay

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.37-0.20030522.2m)
- revised spec for enabling rpm 4.2.

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.37-0.20030522.1m)
  update to 0.7.37-20030522(rebuild against DirectFB 0.9.18)

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.2m)
- rebuild against for XFree86-4.3.0

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.1m)
- version 0.7.32

* Thu Jan 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.27-0.20030122.1m)

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.25-0.20030114.1m)

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)
- disable xvid...

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.2m)
- add some header files

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.1m)
